Clickhouse
Skitflow API reference for Clickhouse endpoints.
Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/clickhouse.create" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "appName": "string", "databaseName": "string", "databaseUser": "string", "databasePassword": "string", "environmentId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Query Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/clickhouse.one?clickhouseId=string"{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/clickhouse.start" \ -H "Content-Type: application/json" \ -d '{ "clickhouseId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/clickhouse.stop" \ -H "Content-Type: application/json" \ -d '{ "clickhouseId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/clickhouse.saveExternalPort" \ -H "Content-Type: application/json" \ -d '{ "clickhouseId": "string", "externalPort": 0 }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/clickhouse.deploy" \ -H "Content-Type: application/json" \ -d '{ "clickhouseId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/clickhouse.changeStatus" \ -H "Content-Type: application/json" \ -d '{ "clickhouseId": "string", "applicationStatus": "idle" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/clickhouse.remove" \ -H "Content-Type: application/json" \ -d '{ "clickhouseId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/clickhouse.saveEnvironment" \ -H "Content-Type: application/json" \ -d '{ "clickhouseId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/clickhouse.reload" \ -H "Content-Type: application/json" \ -d '{ "clickhouseId": "string", "appName": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/clickhouse.update" \ -H "Content-Type: application/json" \ -d '{ "clickhouseId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/clickhouse.move" \ -H "Content-Type: application/json" \ -d '{ "clickhouseId": "string", "targetEnvironmentId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/clickhouse.changePassword" \ -H "Content-Type: application/json" \ -d '{ "clickhouseId": "string", "password": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/clickhouse.rebuild" \ -H "Content-Type: application/json" \ -d '{ "clickhouseId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}